#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 typst
version:              0.5.0.2
visibility:           public
id:                   typst-0.5.0.2-7gVuAjT3DwmH3757e3ql2C
key:                  typst-0.5.0.2-7gVuAjT3DwmH3757e3ql2C
license:              BSD-3-Clause
copyright:            Copyright 2023 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
synopsis:             Parsing and evaluating typst syntax.
description:
    A library for parsing and evaluating typst syntax.
    Typst (<https://typst.app>) is a document layout and
    formatting language. This library targets typst 0.10
    and currently offers only partial support.

category:             Text
abi:                  5adb624d5364ee374cbdf8daba1387dc
exposed:              True
exposed-modules:
    Typst Typst.Evaluate Typst.Methods Typst.Parse Typst.Syntax
    Typst.Types Typst.Util

hidden-modules:
    Typst.Bind Typst.Regex Typst.Show Typst.Module.Standard
    Typst.Module.Math Typst.Module.Calc Typst.MathClass

import-dirs:          /usr/lib/ghc-9.4.8/site-local/typst-0.5.0.2
library-dirs:         /usr/lib/ghc-9.4.8/site-local/typst-0.5.0.2
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/typst-0.5.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-typst
hs-libraries:         HStypst-0.5.0.2-7gVuAjT3DwmH3757e3ql2C
depends:
    aeson-2.1.2.1-8bwKrGTS6zMBpBkx7W0Lha array-0.5.4.0 base-4.17.2.1
    bytestring-0.11.5.3 cassava-0.5.3.2-w4nEKhwr107BmStYAMNri
    containers-0.6.7 directory-1.3.7.1 filepath-1.4.2.2 mtl-2.2.2
    ordered-containers-0.2.4-25BZWJ1rdxFBYEsqKNbOR4 parsec-3.1.16.1
    pretty-1.1.3.6 regex-tdfa-1.3.2.4-8pk7oikDww5GcFNGqB4FdP
    scientific-0.3.7.0-IDMbwXytNLYBdGHdrnCYs7 text-2.0.2 time-1.12.2
    toml-parser-2.0.1.0-FuhdCvwhrdu4DQkFHqxh69
    typst-symbols-0.1.5-CKv9nghfbzV9YElGsqLgYY
    vector-0.13.2.0-CMnyNy925iLU2oFqM6oBU
    xml-conduit-1.9.1.4-2gqpbvmdvgKvMli69maLE
    yaml-0.11.11.2-CjUMHf7Yh55I2HsmvOtTGU

haddock-interfaces:   /usr/share/doc/haskell-typst/html/typst.haddock
haddock-html:         /usr/share/doc/haskell-typst/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

